> ## Documentation Index
> Fetch the complete documentation index at: https://stelis.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Session



## OpenAPI

````yaml POST /session
openapi: 3.0.1
info:
  title: Stelis API
  description: API for Stelis's browser automation and information retrieval services
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.stelis.app/v1
security:
  - bearerAuth: []
paths:
  /session:
    post:
      tags:
        - Step API
      summary: Create a new browser session
      operationId: createSession
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSessionRequest'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSessionResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    CreateSessionRequest:
      type: object
      required:
        - startUrl
      properties:
        startUrl:
          type: string
          description: Initial URL to open in the session
        userAgent:
          type: string
          description: Custom user agent string for the session
    CreateSessionResponse:
      type: object
      properties:
        sessionId:
          type: string
        status:
          type: string
          enum:
            - success
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
    TooManyRequests:
      description: Too many requests
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````